Groovy 1.7.0

## groovy.util
Class ObservableList.ObservableIterator

    java.lang.Object
      groovy.util.ObservableList.ObservableIterator

All Implemented Interfaces:
  Iterator

    class ObservableList.ObservableIterator

Field Summary
`protected int` | `cursor`

Constructor Summary
`ObservableList.ObservableIterator(Iterator iterDelegate)`

Method Summary
`Iterator` | `getDelegate()`
`boolean` | `hasNext()`
`Object` | `next()`
`void` | `remove()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### cursor

    protected int cursor

Constructor Detail

### ObservableList.ObservableIterator

    public ObservableList.ObservableIterator(Iterator iterDelegate)

Method Detail

### getDelegate

    public Iterator getDelegate()

### hasNext

    public boolean hasNext()

### next

    public Object next()

### remove

    public void remove()

Copyright © 2003-2009 The Codehaus. All rights reserved.